Skip to main content

Create a password credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/password

Since: 2.71.0

Required permission(s): AccessControl.CredentialCreate,AccessControl.CredentialChangeState

Creates a password credential for the user with the given external ID, belonging to the specified client.

If the associated password policy has resetCodeEnabled set to true, the password is auto-generated and a password fragment is returned in the response body. If resetCodeEnabled is false, the password must be provided in the request body and no content is returned.

In case the password creation fails because the provided password violates password policies, all the related policy violations will be included in the error response.

Request

Responses

Password created, password fragment returned

Response Headers
    Location

    URL of the created resource